local t = Def.ActorFrame{
	InitCommand=cmd(fov,100);

	Def.Quad{
		OnCommand=cmd(FullScreen;diffuse,color("0.2,0,0,1"););
	};

	--logo
	Def.ActorFrame{
		Def.Quad{
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-60;zoomtowidth,SCREEN_WIDTH;zoomtoheight,60;diffuse,color("1,0,0.5,0.4");diffusebottomedge,color("1,0,0.5,0"););
		};

		LoadActor("block3")..{
			InitCommand=cmd(CenterY;x,SCREEN_LEFT;zoomto,500,SCREEN_HEIGHT;customtexturerect,0,0,1,SCREEN_HEIGHT/self:GetHeight();ztest,true);
			OnCommand=cmd(texcoordvelocity,0,0.04;diffuse,color("0.7,0,0.3,0.8");diffuserightedge,color("0.7,0,0.3,0"););
		};
		
		LoadActor(THEME:GetPathB("","_logo/full"))..{
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM-30;zoomy,0.2;rotationx,180;diffusebottomedge,color("0,0,0,0"););
			OnCommand=cmd(diffusealpha,0;sleep,28.7-14.75;diffuse,color("1,1,1,0.2");sleep,3.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,1,1,0.2");sleep,5.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
		};

		LoadActor( THEME:GetPathB("_shared","models/_box_s") )..{
			OnCommand=cmd(blend,'BlendMode_Add';draworder,4;x,SCREEN_CENTER_X+150;y,SCREEN_CENTER_Y;diffuse,color("1,0.2,0.5,0.8");zoom,0.4;rotationx,130;rotationy,-200;queuecommand,"Repeat";);
			RepeatCommand=cmd(spin;effectmagnitude,0,26,-12;);
			OffCommand=cmd(stoptweening;);
		};

		Def.Quad{
			OnCommand=cmd(FullScreen;diffuse,color("0.2,0,0,1");sleep,28.7-14.75;diffuse,color("1,1,1,1");linear,1;diffuse,color("0,0,0,0"););
		};

		Def.Quad{
			InitCommand=cmd(Center;zoomtowidth,SCREEN_WIDTH;zoomtoheight,0;diffuse,color("0,0,0,0"););
			OnCommand=cmd(sleep,28.7-14.75;accelerate,0.5;diffuse,color("1,0,0.2,0.4");zoomtoheight,100;);
		};
	};
		
	--production
	Def.ActorFrame{
		InitCommand=cmd(Center;);

		LoadActor(THEME:GetPathB("","_logo/cyb6"))..{
			InitCommand=cmd(x,-100;y,-40);
			OnCommand=cmd(diffusealpha,0;zoom,1.25;sleep,11.5+0.7;linear,0.2;diffusealpha,0.5;linear,1.5;x,0;y,0;diffusealpha,0;zoom,0;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/title-logo6"))..{
			InitCommand=cmd(x,10;y,-90);
			OnCommand=cmd(diffusealpha,0;zoom,1.5;sleep,11.25+0.55;linear,0.2;diffusealpha,0.5;decelerate,1.75;x,0;y,0;diffusealpha,0;zoom,0;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/cyb5"))..{
			InitCommand=cmd(x,60;y,-210);
			OnCommand=cmd(diffusealpha,0;zoom,1;sleep,11.5+0.85;linear,0.2;diffusealpha,0.5;linear,1.5;x,0;y,0;diffusealpha,0;zoom,0;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/title-logo5"))..{
			InitCommand=cmd(x,-80;y,-60);
			OnCommand=cmd(diffusealpha,0;zoom,0.75;sleep,11.75+0.55;linear,0.2;diffusealpha,0.5;linear,1;x,0;y,0;diffusealpha,0;zoom,0;);
		};

		LoadActor(THEME:GetPathB("","_logo/cyb4"))..{
			InitCommand=cmd(x,-280;y,140);
			OnCommand=cmd(diffusealpha,0;zoom,0.5;sleep,11+0.95;linear,0.2;diffusealpha,0.5;decelerate,1.75;x,0;y,0;diffusealpha,0;zoom,0;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/title-logo4"))..{
			InitCommand=cmd(x,180;y,20);
			OnCommand=cmd(diffusealpha,0;zoom,1;sleep,12.25+0.55;linear,0.2;diffusealpha,0.5;linear,0.75;x,0;y,0;diffusealpha,0;zoom,0;);
		};

		LoadActor(THEME:GetPathB("","_logo/cyb3"))..{
			InitCommand=cmd(x,220;y,-160);
			OnCommand=cmd(diffusealpha,0;zoom,0.75;sleep,11.25+0.85;linear,0.2;diffusealpha,0.5;decelerate,1.5;x,0;y,0;diffusealpha,0;zoom,0;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/title-logo3"))..{
			InitCommand=cmd(x,40;y,160);
			OnCommand=cmd(diffusealpha,0;zoom,1.25;sleep,11+0.55;linear,0.2;diffusealpha,0.5;decelerate,2;x,0;y,0;diffusealpha,0;zoom,0;);
		};

		LoadActor(THEME:GetPathB("","_logo/cyb2"))..{
			InitCommand=cmd(x,-60;y,-200);
			OnCommand=cmd(diffusealpha,0;zoom,1;sleep,11.75+0.85;linear,0.2;diffusealpha,0.5;linear,1;x,0;y,0;diffusealpha,0;zoom,0;);
		};

		LoadActor(THEME:GetPathB("","_logo/title-logo2"))..{
			InitCommand=cmd(x,200;y,-100);
			OnCommand=cmd(diffusealpha,0;zoom,1;sleep,12+0.55;linear,0.2;diffusealpha,0.5;decelerate,0.5;x,0;y,0;diffusealpha,0;zoom,0;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/cyb1"))..{
			InitCommand=cmd(x,-200;y,110);
			OnCommand=cmd(diffusealpha,0;zoom,1;sleep,12+0.75;linear,0.2;diffusealpha,0.5;decelerate,1;x,0;y,0;diffusealpha,0;zoom,0;);
		};

		LoadActor(THEME:GetPathB("","_logo/title-logo1"))..{
			InitCommand=cmd(x,-200;y,-90);
			OnCommand=cmd(diffusealpha,0;zoom,0.75;sleep,12.25+0.55;linear,0.2;diffusealpha,0.5;accelerate,0.75;x,0;y,0;diffusealpha,0;zoom,0;);
		};
	};

	Def.ActorFrame{	
		LoadActor(THEME:GetPathB("","_logo/eee"))..{
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
			OnCommand=cmd(sleep,0.5;linear,0.2;diffusealpha,1;sleep,2;linear,0.2;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/meta"))..{
			InitCommand=cmd(x,SCREEN_RIGHT-100;y,SCREEN_CENTER_Y;horizalign,right;diffusealpha,0);
			OnCommand=cmd(sleep,3.5;linear,0.2;diffusealpha,1;sleep,1.5;linear,0.2;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/eternal"))..{
			InitCommand=cmd(x,SCREEN_RIGHT-100;y,SCREEN_CENTER_Y-100;horizalign,right;diffusealpha,0);
			OnCommand=cmd(sleep,5;linear,0.2;diffusealpha,1;sleep,1.5;linear,0.2;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/technique"))..{
			InitCommand=cmd(x,SCREEN_RIGHT-100;y,SCREEN_CENTER_Y+60;horizalign,right;diffusealpha,0);
			OnCommand=cmd(sleep,6.5;linear,0.2;diffusealpha,1;sleep,1.5;linear,0.2;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/actuate"))..{
			InitCommand=cmd(x,SCREEN_RIGHT-100;y,SCREEN_CENTER_Y-60;horizalign,right;diffusealpha,0);
			OnCommand=cmd(sleep,8;linear,0.2;diffusealpha,1;sleep,1.5;linear,0.2;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/laboring"))..{
			InitCommand=cmd(x,SCREEN_RIGHT-100;y,SCREEN_CENTER_Y+40;horizalign,right;diffusealpha,0);
			OnCommand=cmd(sleep,9.5;linear,0.2;diffusealpha,1;sleep,1.5;linear,0.2;diffusealpha,0;);
		};
	};

	--production after
	Def.ActorFrame{
		InitCommand=cmd(Center;);

		LoadActor(THEME:GetPathB("","_logo/7_front"))..{
			InitCommand=cmd(x,47;y,10;);
			OnCommand=cmd(diffusealpha,0;sleep,28.7-14.75;diffuse,color("1,1,1,1");sleep,3.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,1,1,1");sleep,5.6;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/7_effect"))..{
			InitCommand=cmd(x,66;y,-17;);
			OnCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");sleep,28.7-14.75;glow,color("1,0,0,1");linear,1;glow,color("0,0,0,0");sleep,3;diffusealpha,1;glow,color("1,0,0,1");linear,0.3;zoom,1.1;diffusealpha,0;glow,color("0,0,0,0");sleep,0.3;zoom,1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");sleep,6;diffusealpha,1;glow,color("1,0,0,1");linear,0.3;zoom,1.1;diffusealpha,0;glow,color("0,0,0,0");sleep,0.3;zoom,1;queuecommand,"Repeat";);
		};

		LoadActor(THEME:GetPathB("","_logo/7_front"))..{
			InitCommand=cmd(x,47;y,10);
			OnCommand=cmd(diffusealpha,0;sleep,28.5-14.75;diffusealpha,1;accelerate,0.15;zoom,6;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/7_front"))..{
			InitCommand=cmd(x,47;y,10);
			OnCommand=cmd(diffusealpha,0;sleep,28.6-14.75;zoom,1;diffusealpha,0.5;accelerate,0.3;zoom,3;diffusealpha,0;);
		};
		LoadActor(THEME:GetPathB("","_logo/7_front"))..{
			InitCommand=cmd(x,47;y,10);
			OnCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");sleep,28.05-14.75;zoomx,20;zoomy,1.25;accelerate,0.75;zoom,1;diffusealpha,1;glow,color("1,0,1,1");linear,1;glow,color("0,0,0,0");diffusealpha,0;);
		};

		LoadActor(THEME:GetPathB("","_logo/backcs"))..{
			InitCommand=cmd(x,-56;y,-28;);
			OnCommand=cmd(diffusealpha,0;sleep,28.7-14.75;cropbottom,1;decelerate,0.3;cropbottom,0;zoomy,1;diffuse,color("1,1,1,1");sleep,3.8;diffuse,color("1,0.6,0,0.5");linear,0.5;diffuse,color("1,1,1,1");sleep,0.3;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("1,1,1,1");sleep,5.8;diffuse,color("1,0.6,0,0.5");linear,0.5;diffuse,color("1,1,1,1");sleep,0.3;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-cs"))..{
			InitCommand=cmd(x,-144;y,-29;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,28.7-14.75;sleep,4.2;diffuse,color("1,1,0,1");zoom,1;linear,0.3;zoom,1.25;diffuse,color("0,0,0,0");sleep,0.1;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("0,0,0,0");sleep,6.2;diffuse,color("1,1,0,1");zoom,1;linear,0.3;zoom,1.25;diffuse,color("0,0,0,0");sleep,0.1;queuecommand,"Repeat";);
		};

		LoadActor(THEME:GetPathB("","_logo/title-tyle"))..{
			InitCommand=cmd(x,20;y,-16;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,28.7-14.75;sleep,4.3;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("0,0,0,0");sleep,6.3;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-yberia"))..{
			InitCommand=cmd(x,-16;y,-57;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,28.7-14.75;sleep,4.1;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffuse,color("0,0,0,0");sleep,6.1;diffuse,color("1,0.3,0.4,1");zoom,1;linear,0.3;diffuse,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
		};

		
		LoadActor(THEME:GetPathB("","_logo/etc"))..{
			InitCommand=cmd(x,-45;y,49;);
			OnCommand=cmd(diffusealpha,0;addx,-10;sleep,28.4-14.75;decelerate,0.5;addx,10;diffusealpha,1;);
		};
		
		LoadActor(THEME:GetPathB("","_logo/cs7c"))..{
			InitCommand=cmd(x,-10;y,80;);
			OnCommand=cmd(diffusealpha,0;addx,-10;sleep,28.6-14.75;decelerate,0.5;addx,10;diffusealpha,1;);
		};

		LoadActor(THEME:GetPathB("","_logo/wau"))..{
			InitCommand=cmd(x,-56;y,-28;);
			OnCommand=cmd(diffusealpha,0;sleep,28.1-14.75;diffuse,color("1,1,0,1");cropright,1;cropleft,-0.3;decelerate,0.6;cropright,-0.3;linear,1;diffusealpha,0;sleep,3;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffusealpha,0;diffuse,color("1,1,0,1");cropright,1;cropleft,-0.3;decelerate,0.6;cropright,-0.3;linear,1;diffusealpha,0;sleep,5;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-cybst"))..{
			InitCommand=cmd(x,-56;y,-28;);
			OnCommand=cmd(diffusealpha,0;sleep,28.4-14.75;diffuse,color("1,0,0,1");zoomx,100;linear,0.3;zoomx,1;diffusealpha,1;linear,1;diffusealpha,0;sleep,3.3;queuecommand,"Repeat";);
			RepeatCommand=cmd(diffusealpha,0;diffuse,color("1,0,0,1");zoomx,100;linear,0.3;zoomx,1;diffusealpha,1;linear,1;diffusealpha,0;sleep,5.3;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/subtitle"))..{
			InitCommand=cmd(x,68;y,18;);
			OnCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");sleep,28.7-14.75;diffusealpha,1;zoomx,100;linear,0.3;zoomx,1;sleep,5;glow,color("1,0,0,1");accelerate,0.5;glow,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
			RepeatCommand=cmd(glow,color("0,0,0,0");sleep,5.3;glow,color("1,0,0,1");accelerate,0.5;glow,color("0,0,0,0");sleep,0.2;queuecommand,"Repeat";);
		};
		LoadActor(THEME:GetPathB("","_logo/title-cs"))..{
			InitCommand=cmd(x,-144;y,-29;);
			OnCommand=cmd(diffuse,color("0,0,0,0");sleep,28.5-14.75;diffuse,color("1,1,0,1");zoom,5;linear,0.1;zoom,1;linear,0.5;diffuse,color("0,0,0,0"););
		};
	};

};
return t;